MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029970Open CASCADE[OCCT] OCCT:Codingpublic2018-07-19 00:422018-07-30 10:10
Reporterkgv 
Assigned Tobugmaster 
PrioritynormalSeveritytrivial 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.3.1 
Target Version[OCCT] 7.4.0*Fixed in Version 
Summary0029970: Coding Rules - StdSelect_BRepOwner::Set() method is declared but undefined
DescriptionStdSelect_BRepOwner declares method StdSelect_BRepOwner::Set() which has no body.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0077845)
git (administrator)
2018-07-20 11:09

Branch CR29970 has been created by kgv.

SHA-1: 702de013c0439f76cd79a17a309f6ae4e6b729bb


Detailed log of new commits:

Author: kgv
Date: Fri Jul 20 11:08:34 2018 +0300

    0029970: Coding Rules - StdSelect_BRepOwner::Set() method is declared but undefined
    
    Undefined method has been removed.
(0077846)
kgv (developer)
2018-07-20 11:21

Please take the patch.

http://jenkins-test-11.nnov.opencascade.com/view/CR29970-master-KGV/ [^]
(0077877)
git (administrator)
2018-07-21 20:02

Branch CR29970 has been deleted by inv.

SHA-1: 702de013c0439f76cd79a17a309f6ae4e6b729bb

- Related Changesets
occt: master 6e3a8b03
Timestamp: 2018-07-20 08:08:34
Author: kgv
Committer: bugmaster
Details ] Diff ]
0029970: Coding Rules - StdSelect_BRepOwner::Set() method is declared but undefined

Undefined method has been removed.
mod - src/StdSelect/StdSelect_BRepOwner.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2018-07-19 00:42 kgv New Issue
2018-07-19 00:42 kgv Assigned To => kgv
2018-07-20 11:07 kgv Category OCCT:Visualization => OCCT:Coding
2018-07-20 11:07 kgv Summary Visualization - StdSelect_BRepOwner::Set() method is declared but undefined => Coding Rules - StdSelect_BRepOwner::Set() method is declared but undefined
2018-07-20 11:09 git Note Added: 0077845
2018-07-20 11:16 kgv Product Version 7.3.0 => 6.3.1
2018-07-20 11:21 kgv Note Added: 0077846
2018-07-20 11:21 kgv Assigned To kgv => bugmaster
2018-07-20 11:21 kgv Severity minor => trivial
2018-07-20 11:21 kgv Status new => resolved
2018-07-20 11:22 kgv Status resolved => reviewed
2018-07-21 18:39 bugmaster Changeset attached => occt master 6e3a8b03
2018-07-21 18:39 bugmaster Status reviewed => verified
2018-07-21 18:39 bugmaster Resolution open => fixed
2018-07-21 20:02 git Note Added: 0077877
2018-07-30 10:10 bugmaster Test case number => Not needed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker